<?php

/**
 * @file
 * Administrative form for setting the live_maintenance_mode module.
 */

/**
 * Form builder for Live Maintenance Mode settings.
 *
 * @see system_settings_form()
 *
 */
function live_maintenance_mode_settings_form($form, &$form_state) {
  $form['live_maintenance_mode_message'] = array(
    '#type' => 'textarea',
    '#title' => t('Maintenance Message'),
    '#required' => TRUE,
    '#default_value' => variable_get('live_maintenance_mode_message', t('Website is currently under maintenance.')),
    '#description' => t('Message to users when Live Maintenance Mode is enabled.')
  );
  
  $form['users'] = array(
    '#type' => 'fieldset',
    '#title' => t('Users'),
  );
  $form['users']['live_maintenance_mode_user1'] = array(
    '#type' => 'markup',
    '#markup' => t('By default, user with uid 1 is allowed to login. Enter additional usernames to allow login below.')
  );
  $form['users']['live_maintenance_mode_usernames'] = array(
    '#type' => 'textfield',
    '#title' => t('Additional Usernames'),
    '#default_value' => variable_get('live_maintenance_mode_usernames', ''),
    '#description' => t('Separate usernames with a comma.')
  );

  return system_settings_form($form);
}
